/*
Description :   CSS for MicSyse HMI
Version :       1.0
Author :        DTE
Date :          2025-12-05
*/

/* Global params */

.led-green {
  height: 24px;
  width: 24px;
  background-color: #ABFF00;
  border-radius: 50%;
  box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #006 0 -1px 9px, #3F8CFF 0 2px 8px;
  display: inline-block;
}
.led-grey {
  height: 24px;
  width: 24px;
  background-color: #BBBBBB;
  border-radius: 50%;
  box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #006 0 -1px 9px, #3F8CFF 0 2px 8px;
  display: inline-block;
}
:root {
  --tabs-bg-color: #222222;
  --primary-color: #ffffff;
  --card-shadow: 0 10px 20px rgba(0, 0, 0, 0.08);
  font-family: Helvetica;
  font-size: 24px
}

body, html {
  height: 100%;
  margin: 0;
  background: linear-gradient(to bottom, var(--primary-color), #DDDDDD, var(--primary-color));

}

/* Main Navigation */

.header {
  min-height:120px;
  position:fixed;
  width:100%;
  left:0;
  top:0;
  background:#f0f0f0;
  z-index:1000;
}

.tab {
  overflow: hidden;
  background-color:  var(--tabs-bg-color);
}

.TabState {
  background-color: var(--tabs-bg-color);
  color: white;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 14px 16px;
  font-family: Helvetica;
  font-size: 17px;
  font-weight: bold;
  width: 14%;

  position: relative;
}

/* The colored strip */
.TabState::before {
  content: "";
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 50%;
  height: 6px;
  background-color: transparent;
  transition: background-color 0.3s;
}

#SystemState_MET::before { background-color: lightsteelblue; }
#SystemState_COR::before { background-color: gold; }
#SystemState_AFF::before { background-color: darkorange; }
#SystemState_ARD::before { background-color: crimson; }
#SystemState_AND::before { background-color: red; }
#SystemState_PRO::before { background-color: limegreen; }

.TabState:hover::before {
  height: 10px; /* Expands slightly when hovering */
}

.TabState:hover {
  background-color: #777;
}

.TabLink {
  background-color: var(--tabs-bg-color);
  color: white;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 14px 16px;
  font-family: Helvetica;
  font-size: 17px;
  font-weight: bold;
  width: 14%;
}

.TabLink:hover {
  background-color: #777;
}

.TabContent {
  /* height: 300%; */
  margin: 0 0;
}

/* Main template */

.PageTable{
  border-spacing: 15px;
}

.PageTable-Element{
  max-width: fit-content;
}

.Card{
  box-sizing: border-box;

  width: 100%;

  border-radius: 20px;
  box-shadow: 5px 10px 20px #888888;

  background-color:  var(--primary-color);

  padding: 20px;
 }

/* Display Table */

.DataTable tr:nth-child(even) {
  background-color: #f2f2f2;
}

.DataTable td {
  text-align: right;
}


/* Apprentissage Table */

.LearnTable tr:nth-child(3n+5) {
  background-color: #f2f2f2;
}
.LearnTable th {
  text-align: center;
}

.LearnTable .LearnHeader {
  font-size: 24px
}

.LearnTable td {
  text-align: right;
}



/* Buttons */
.Button{
  background-color: var(--tabs-bg-color);
  border-radius: 10px;
  color: white;
  /* float: left; */
  border: none;
  outline: none;
  cursor: pointer;
  padding: 10px 10px;
  font-family: Helvetica;
  font-size: 20px;
  font-weight: bold;
}


/* Selector*/
select {
  border: 2px solid #dddddd;
  background: #eeeeee;
  padding: 10px;
  transition: 0.4s;
  font-family: Helvetica;
  font-size: 24px
}

select:hover,
select:focus {
  /* background: #dddddd; */
  background-color: lightskyblue;
  width: 100%;
}

option:checked {
  font-weight: bold;
  background-color: orchid;

}

select::selection {
  color: red;
  background-color: yellow;
}

/* Input */
input[type=text] {
  width: 80%;
  padding: 6px;
  border: 2px solid #dddddd;
  /* background-color: #3CBC8D; */
  /* margin: 10px 0; */
  box-sizing: border-box;
  transition: width 0.4s ease-in-out;
  font-family: Helvetica;
  font-size: 24px
}

input[type=text]:focus {
  background-color: lightskyblue;
  width: 100%;

}

input[type=date] {
  /* width: 80%; */
  padding: 6px;
  border: 2px solid #dddddd;
  /* background-color: #3CBC8D; */
  /* margin: 10px 0; */
  box-sizing: border-box;
  transition: width 0.4s ease-in-out;
  font-family: Helvetica;
  font-size: 24px
}

input[type=checkbox] {
  vertical-align: middle;
  position: relative;
  bottom: 3px;
  right: 6pt;
  transform: scale(1.5);
  font-family: Helvetica;
  font-size: 24px
}

input[type=radio] {
  vertical-align: middle;
  position: relative;
  bottom: 3px;
  left: 6pt;
  transform: scale(1.5);
  font-family: Helvetica;
  font-size: 24px;
}

input[type=number] {
  -moz-appearance: textfield;
  font-size: 24px;
  text-align: right;
}

/* Chrome, Safari, Edge */
input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
